Bug Hunting Session
Bug 76842 - LibreOffice hanging
Summary: LibreOffice hanging
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.6.1.2 release
Hardware: x86 (IA32) Windows (All)
: highest critical
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-31 14:54 UTC by James
Modified: 2014-04-03 12:52 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Click on LO Writer (17.36 KB, image/jpeg)
2014-04-01 14:28 UTC, James
Details
Error (27.71 KB, image/jpeg)
2014-04-01 14:36 UTC, James
Details
Corrupted file (847 bytes, text/xml)
2014-04-01 14:40 UTC, James
Details
Fixed file after deleting duff one (859 bytes, text/xml)
2014-04-01 14:50 UTC, James
Details

Note You need to log in before you can comment on or make changes to this bug.
Description James 2014-03-31 14:54:15 UTC
Hello

Background:
We are a local government authority who made the decision to use an open source (StarOffice) office product when our XP desktop was deployed, back in 2006.

http://www.theregister.co.uk/2004/11/17/bristol_goes_linux/

Just over a year ago, we completed a move to Windows 7, and used this as an opportunity to replace StarOffice with LibreOffice.

Current situation:

On the whole, we don't receive many LibreOffice-related calls, but one which keeps plaguing us is one where LibreOffice keeps hanging on start.

We've found a number of posts which suggest deleting the %appdata%\3\user\config\javasettings_windows_x86.xml file, and this does work, but due to the randomness of the fault, this isn't that great an option, seeing as we have more than 8500 users.

Has this issue be fixed in more recent versions of LibreOffice?
Are there any other files/registry/configurations changes which we could make to eradicate this problem?

Please let me know if you need any more information.

James
Comment 1 sophie 2014-04-01 12:56:10 UTC
Hi James, the version you indicated is rather old, did you test with 4.1.5 which is the last stable version? Hanging on start could depend on many different factors, so it's not easy if you don't have a recurrent case to analyse. Sophie
Comment 2 James 2014-04-01 13:19:16 UTC
Thanks for the replies

We are using rather an old version, but on my travels whilst researching this issue, it seemed others were reporting it still exists in more recent versions too.

We recently switched from Java 1.6.0_29 to 1.7.0_21 and had a huge number of calls from people who could no longer use LO.

Whether these people had LO open when the Java update installed, I don't know, but this could be a good way of trying to reproduce the fault.
Comment 3 James 2014-04-01 14:28:36 UTC
Created attachment 96725 [details]
Click on LO Writer
Comment 4 James 2014-04-01 14:36:49 UTC
Created attachment 96728 [details]
Error
Comment 5 James 2014-04-01 14:40:50 UTC
Created attachment 96730 [details]
Corrupted file
Comment 6 James 2014-04-01 14:50:41 UTC
Created attachment 96731 [details]
Fixed file after deleting duff one
Comment 7 James 2014-04-01 14:51:45 UTC
Caught one in the act. This machine had Java 1.6.0_29 and was upgraded (via SCCM) to 1.7.0_21. The install routine we wrote for JRE1.7 uninstalls 1.6 and SHOULD delete the %appdata%\3\user\config\javasettings_windows_x86.xml file.

The machine crashed out when trying to open ANY LibreOffice componenent, but after deleting the file and allowing it to recreate, it fired up first time.

I've attached the file which was recreated after deleting the corrupted one, just for comparison. The Java folder is obviously different, but the rest of the file appears to be very similar.

We've also tried unticking 'Java' in the LO settings, but it still tries checking for it. Why?

If the file gets recreated each time, why store it at all?
Comment 8 James 2014-04-03 08:06:05 UTC
This is becoming a MASSIVE problem for us as the Java update gathers pace.

Our service desk has taken over 90 calls since Monday and we've had to issue an emergency (hopefully) short-term botch which allows users to easily delete the file via a shortcut.

We really need a fix for this.

Can anyone help?
Comment 9 James 2014-04-03 11:05:32 UTC
From michael.meeks@collabora.com

Hi James,

On Thu, 2014-04-03 at 08:06 +0000, wrote:

> Comment # 8 on bug 76842 from James
> This is becoming a MASSIVE problem for us as the Java update gathers pace.
> 
> Our service desk has taken over 90 calls since Monday and we've had to 
> issue an emergency (hopefully) short-term botch which allows users to 
> easily delete the file via a shortcut.
> 
> We really need a fix for this.
> 
> Can anyone help?

	Of course Collabora can help - if you're willing / able to pay for support there.

	Just in case that's an option; it'd be interesting to have some more
details:

	* why LibreOffice 3.6.x ? - is it for the legacy StarOffice 
	  binary file importers ?
		+ assuming so - up-stream TDF do no 3.6.x releases
		  anymore.

	* what deployment methods do you use to deploy fixes ?

	Of course, the ideal is that, assuming we can get the business pieces together, that we can find a workaround here for you that doesn't require a new build - but there's some hours of code reading & investigation needed first. 

	Anyhow - if you're interested; we have the engineers that can do the work.

	ATB,

		Michael.


Can Collabora please stop buzzing me with fake offers of help? I've already had a lengthy waste of time phone chat with Tim Isles, who, rather than wanting to help, was simply touting for business.

He said Collabora couldn't help, well, not unless we spent a lot of money purchasing your 'hardened' version of LibreOffice and taking out a support contract, neither of which we are willing to do.

What a great Open Source community spirit. Yeah, use our buggy software for free, but then pay us to fix the bugs.

Thanks for absolutely nothing.
Comment 10 sophie 2014-04-03 11:14:01 UTC
James, can you understand that we are only volunteers here? by helping with Collabora or any other certified company you want, you are ensuring the continuity of the product you chosed to use and participate to the LibreOffice ecosystem. 
Now back to your bug, we need more information to understand what is happening in your particular environment and it's more than probable that with this missing information, no volunteers from the QA team will try to qualify your bug, not because he doesn't want whatever the time it will cost him, but because he can't.
Back to need info - Sophie
Comment 11 James 2014-04-03 11:19:32 UTC
Thanks Sophie

So what information would you like?

I've posted screenshots and have posted before and after examples of the offending file.



(In reply to comment #10)
> James, can you understand that we are only volunteers here? by helping with
> Collabora or any other certified company you want, you are ensuring the
> continuity of the product you chosed to use and participate to the
> LibreOffice ecosystem. 
> Now back to your bug, we need more information to understand what is
> happening in your particular environment and it's more than probable that
> with this missing information, no volunteers from the QA team will try to
> qualify your bug, not because he doesn't want whatever the time it will cost
> him, but because he can't.
> Back to need info - Sophie
Comment 12 sophie 2014-04-03 12:10:06 UTC
You didn't answer: did you test with 4.1.5 which is the last stable version?
For your information, even if we provide a fix solving your problem, it will only be in our next version, we won't backport it to 3.6.1.2 which is EOL for us. This is why Collabora is not a fake offer of help, only professional support would fix a version that is EOL for the community. Sophie
Comment 13 Michael Meeks 2014-04-03 12:35:00 UTC
James; your approach to private mail is refreshingly unconventional. So, let me excerpt my reply:

>  I've already had a lengthy waste of time phone chat with Tim Isles,
> who, rather than wanting to help, was simply touting for business.

        Sorry to waste your time; Tim works for me, I'll pass on the feedback.

> What a great Open Source community spirit. Yeah, use our buggy
> software for free, but then pay us to fix the bugs.

        TDF doesn't encourage anyone to use 3.6.x - it's obsolete. TDF in
generally encourages enterprises to engage commercial support over the
longer term to avoid exactly this sort of issue. One example might be:

http://blog.documentfoundation.org/2011/08/01/libreoffice-3-4-2-for-enterprise-users/

        "The Document Foundation encourages large organizations deploying
LibreOffice to do so in conjunction with a support partner, who can
carefully assess specific requirements, help manage migration and
provide bespoke fixes for identified issues. Purchasing LibreOffice
support from a TDF partner also provides enterprises with an indirect
means to contribute financially to the project, thereby funding its
development, improving its stability, and accelerating its growth."

etc. I'm sorry for the situation you find yourself in; but on the other hand - have to sign the cheques for my engineers.

All this aside - it is unlikely but possible that someone might help you for free; as such it may be useful to have more information here - particularly around what is possible for your scenario. I imagine in the absence of any new build - we'd need (somehow) to drop a new file or delete a file to work around this; as such it'd be useful to know what the capabilities of your central desktop management system is; so leaving NEEDINFO for now.

It'd also be nice to confirm if the StarOffice binary file format issue is what keeps you on 3.6.x ? if not updating would be an option, if so - its a bit of a problem really.

All the best.
Comment 14 James 2014-04-03 12:41:42 UTC
We haven't tested with 4.1.5, but if you Google the problem, there's evidence of this issue existing with other version.

As I mentioned previously, upgrading 8500+ machines isn't a swift fix.

I totally understand your comments about this support working on a voluntary basis, but if I was volunteering at a homeless shelter, I wouldn't be trying to sell people my brand of gravy to enhance the flavour of their free meal, I'd either give it to them for free (cos I'm kind), or not mention the gravy at all.

When I posted this, I knew any help would be given on a goodwill, 'forum' type basis, and TBH I would rather nobody helped, than have people almost holding me to ransom by telling me I must purchase their services before I could or would get help.

I'm grateful for your interest, but moving straight to the new version without some sort of guarantee the problem has been resoved would be too risky.

Would you like some free gravy?

(In reply to comment #12)
> You didn't answer: did you test with 4.1.5 which is the last stable version?
> For your information, even if we provide a fix solving your problem, it will
> only be in our next version, we won't backport it to 3.6.1.2 which is EOL
> for us. This is why Collabora is not a fake offer of help, only professional
> support would fix a version that is EOL for the community. Sophie